---
title: RTCOfferAnswerOptions
slug: Web/API/RTCOfferAnswerOptions
tags:
  - Configuration
  - Dictionary
  - Options
  - RTCOfferAnswerOptions
  - Reference
  - Settings
  - WebRTC
  - WebRTC API
  - createAnswer
  - createOffer
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API's</a> <code><strong>RTCOfferAnswerOptions</strong></code> dictionary is used to specify options that configure and control the process of creating WebRTC offers or answers.</span> It's used as the base type for the <code>options</code> parameter when calling {{domxref("RTCPeerConnection.createOffer", "createOffer()")}} or {{domxref("RTCPeerConnection.createAnswer", "createAnswer()")}} on an {{domxref("RTCPeerConnection")}}.</p>

<p>Each of <code>createOffer()</code> and <code>createAnswer()</code> use <code>RTCOfferAnswerOptions</code> as the base type for their <code>options</code> parameter's dictionary. <code>createOffer()</code> uses {{domxref("RTCOfferOptions")}} and <code>createAnswer()</code> uses {{domxref("RTCAnswerOptions")}}.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("RTCOfferAnswerOptions.voiceActivityDetection", "voiceActivityDetection")}} {{optional_inline}}</dt>
 <dd>For configurations of systems and codecs that are able to detect when the user is speaking and toggle muting on and off automatically, this option enables and disables that behavior. The default value is <code>true</code>, enabling this functionality</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcofferansweroptions', 'RTCOfferAnswerOptions')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOfferAnswerOptions")}}</p>
